import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/ValentineAuer/3c7d75d59bd2a1a8045685d0a33fd2e0/raw/40ac9f0bfc9268f11409ac114855b1458f1e6ea6/pschische-situation-refugees.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  const row = (d) => {
    d.mittelgradig_bis_schwere_Belastung = +d.mittelgradig_bis_schwere_Belastung;
    d.keine_Belastung = +d.keine_Belastung;
    return d;
  };

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
