import Tippy from 'tippy';

export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  xScale1,
  xValue1,
}) =>
  data.map((d) => (
    <>
      <Tippy
        disabled={false}
        arrow={false}
        className="tooltip"
        content={
          <span>
            {xValue1(d) +
              '% weisen keine Belastung durch depressive Symptome oder Angstsymptome auf.'}
          </span>
        }
      >
        <g>
          {' '}
          <rect
            className="mark"
            x={xScale(xValue(d) + 0.5)}
            y={yScale(yValue(d))}
            width={xScale1(xValue1(d))}
            height={yScale.bandwidth()}
          />
        </g>
      </Tippy>

      <Tippy
        disabled={false}
        arrow={false}
        className="tooltip"
        content={
          <span>
            {xValue(d) +
              '% weisen eine mittelgradige oder schwere Belastung durch depressive Symptome oder Angstsymptome auf.'}
          </span>
        }
      >
        <g>
          {' '}
          <rect
            className="mark1"
            x={0}
            y={yScale(yValue(d))}
            width={xScale(xValue(d))}
            height={yScale.bandwidth()}
          />
        </g>
      </Tippy>
    </>
  ));
